# Method: devices.delete

- [HTTP request](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#body.request_body)
- [Response body](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#body.aspect)
- [Try it!](https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete#try-it)

Removes the specified device from to the user's Google Photos account.

A `NOT_FOUND` error is returned if the device does not exist or is not owned by the user.

An empty response indicates successful deletion.

### HTTP request

`DELETE https://photosambient.googleapis.com/v1/devices/{deviceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deviceId` | `string` Required. The unique unique identifier for this device, as returned in the `devices.create` response. If the `deviceId` is lost or unknown, clients may provide the `requestId` used in the `devices.create` request that created this device. This is useful for removing orphaned devices or preventing accidental duplicates in the user's Google Photos account. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photosambient.mediaitems`